Module javafx.graphics
Package javafx.css

## Class StyleClass

- java.lang.Object
- - javafx.css.StyleClass

-     public final class StyleClass
      extends Object

  Since:
    9

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleClass​(String styleClassName, int index)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIndex()` |
    `String` | `getStyleClassName()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleClass

          public StyleClass​(String styleClassName,
                            int index)

  - ### Method Detail

    - #### getStyleClassName

          public String getStyleClassName()

      Returns:
        the style-class

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      Returns:
        the style-class

    - #### getIndex

          public int getIndex()